#pragma once

#include "CoreMinimal.h"
#include "KillerStatusData.h"
#include "EK41State.h"
#include "K41StatusData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UK41StatusData : public UKillerStatusData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsMushroomEffectActive;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float CursePercentage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsDamned;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsDoomed;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsUpdatingDamnedEffectPercentage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsUpdatingDoomedEffectPercentage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EK41State State;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 CurseInfo;

public:
	UK41StatusData();
};

FORCEINLINE uint32 GetTypeHash(const UK41StatusData) { return 0; }
